View Issue Details

IDProjectCategoryView StatusLast Update
0017752mantisbtbugtrackerpublic2017-10-16 03:40
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.2.18 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0017752: Auto-refresh shouldn't update last visited
Description

For any page that auto-refesh, the auto-refresh should add a "refresh" get parameter which should disable the updating of the "last visited" field. Since in this case, the browser is auto-refreshing without user activity.

Tagsmantishub

Relationships

related to 0023483 closedatrol Auto-refresh shouldn't update last visited 

Activities

vboctor

vboctor

2014-10-25 02:34

manager   ~0041656

Here is the pull request:
https://github.com/mantisbt/mantisbt/pull/522

Related Changesets

MantisBT: master e9863188

2014-10-27 12:12:17

vboctor

Details Diff
Don't update user last visited on auto-refresh

This change uses a refresh=true GET parameters on pages that auto-refresh. This way actions like the following only trigger on real user activity:

User last visited (native)
Google Analytics (plugin).

There could be other cases, but these cases demonstrate the need.

Fixes 0017752
mod - core/html_api.php Diff File
mod - my_view_page.php Diff File
mod - view_all_bug_page.php Diff File

Issue History

Date Modified Username Field Change
2014-10-13 23:40 vboctor New Issue
2014-10-25 02:34 vboctor Note Added: 0041656
2014-10-25 02:34 vboctor Assigned To => vboctor
2014-10-25 02:34 vboctor Status new => assigned
2014-10-27 12:12 vboctor Changeset attached => MantisBT master e9863188
2014-10-27 12:12 vboctor Status assigned => resolved
2014-10-27 12:12 vboctor Resolution open => fixed
2014-10-27 12:12 vboctor Fixed in Version => 1.3.0-beta.1
2014-11-05 01:51 atrol Target Version => 1.3.0-beta.1
2014-12-08 00:33 vboctor Status resolved => closed
2015-04-28 03:40 vboctor Tag Attached: mantishub
2017-10-16 03:40 atrol Issue cloned: 0023483
2017-10-16 03:40 atrol Relationship added related to 0023483